DNF5-MARK(8)

BEZEICHNUNG
dnf5-mark - Mark-Befehl

ÜBERSICHT

dnf5 mark Unterbefehl [Iglobale Optionen] [Gruppen-ID] Paketangabe-NPFB …

BESCHREIBUNG

Der Befehl mark in DNF5 wird verwendet, um den Installationsgrund der installierten Pakete zu ändern, die in den Paketangabe-NPFB-Argumenten definiert sind.

UNTERBEFEHLE

user
    markiert das Paket als vom Benutzer installiert.

    Dies kann nützlich sein, wenn ein Paket als Abhängigkeit installiert wurde und auf dem System verbleiben soll, wenn der Befehl remove ausgeführt wird und die Konfigurationsoption clean_requirements_on_remove auf True gesetzt ist.

dependency
    markiert das Paket als Abhängigkeit.

    Dies kann nützlich sein, wenn Sie als Benutzer ein bestimmtes Paket nicht benötigen. Das Paket bleibt auf dem System installiert, wird aber entfernt, wenn der Befehl remove mit der auf True gesetzten Konfigurationsoption clean_requirements_on_remove ausgeführt wird.

    Sie sollten diese Aktion anstelle des remove-Befehls verwenden, wenn Sie nicht sicher sind, ob das Paket eine Abhängigkeit eines anderen vom Benutzer installierten Pakets auf dem System ist.

weak
    markiert das Paket als weiche Abhängigkeit.

group
    markiert das Paket als durch die Gruppe installiert, die im Argument Gruppen-ID definiert ist.

    Dies kann nützlich sein, wenn ein Paket als Abhängigkeit oder durch den Benutzer installiert wurde und es erwünscht ist, dass es geschützt ist und beim Befehl group remove als Gruppenmitglied behandelt werden soll.

OPTIONEN

--skip-unavailable
    erlaubt das Überspringen von Paketen, die nicht auf dem System installiert sind. Alle übrigen installierten Pakete werden markiert.

--offline
    speichert die Transaktion, um sie ohne Netzverbindung ausführen zu können. Siehe dnf5-offline(8), Offline-Befehl.

--store=PFAD
    speichert die aktuelle Transaktion in einem Verzeichnis unter dem angegebenen PFAD, anstatt sie auszuführen. Die gespeicherte Transaktion kann mit dem replay-Befehl, dnf5-replay(8), ausgeführt werden.

BEISPIELE

dnf5 mark user fuse-devel
    Markiert das Paket fuse-devel als durch den Benutzer installiert.

dnf5 mark group xfce-desktop vim-enhanced
    Markiert das Paket vim-enhanced als als Teil der Gruppe xfce-desktop installiert.

SIEHE AUCH
dnf5-comps(7), Comps-Gruppen und Umgebungen
dnf5-specs(7), Muster-Spezifikation

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.